org.jbpm.bpmn2.xpath

## Class XPATHAssignmentAction

- java.lang.Object
- - org.jbpm.bpmn2.xpath.XPATHAssignmentAction

- All Implemented Interfaces:
    AssignmentAction

      public class XPATHAssignmentAction
      extends Object
      implements AssignmentAction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPATHAssignmentAction(Assignment assignment, String sourceExpr, String targetExpr, BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> source, BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> target, AssignmentProducer producer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.kie.api.runtime.process.NodeInstance nodeInstance, org.kie.api.runtime.process.ProcessContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPATHAssignmentAction

          public XPATHAssignmentAction(Assignment assignment,
                                       String sourceExpr,
                                       String targetExpr,
                                       BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> source,
                                       BiFunction<org.kie.api.runtime.process.ProcessContext,org.kie.api.runtime.process.NodeInstance,Object> target,
                                       AssignmentProducer producer)

  - ### Method Detail

    - #### execute

          public void execute(org.kie.api.runtime.process.NodeInstance nodeInstance,
                              org.kie.api.runtime.process.ProcessContext context)
                       throws Exception

      Specified by:
        `execute` in interface `AssignmentAction`
      Throws:
        `Exception`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.